import { useFrame, useThree } from '@react-three/fiber';
import React, { useEffect, useState } from 'react'

interface VehicleAnimatorProps {
    path: [number, number, number][];
    handleCallBack: () => void;
    currentPhase: string;
    agvUuid: number
}


function VehicleAnimator({ path, handleCallBack, currentPhase, agvUuid }: VehicleAnimatorProps) {

    const [currentPath, setCurrentPath] = useState<[number, number, number][]>([]);
    const { scene } = useThree();

    useEffect(() => {

        if (currentPhase === 'stationed-pickup' && path.length > 0) {


            setCurrentPath(path);

        }

    }, [currentPhase, path])

    useFrame(() => {
        if (currentPath.length === 0) return;
        const object = scene.getObjectByProperty("uuid", agvUuid);
        if (!object) return;



    })
    return (
        <>
        </>
    )
}

export default VehicleAnimator